// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// TerraformModuleAttestation is an autogenerated mock type for the TerraformModuleAttestation type
type TerraformModuleAttestation struct {
	mock.Mock
}

// CreateModuleAttestation provides a mock function with given fields: ctx, input
func (_m *TerraformModuleAttestation) CreateModuleAttestation(ctx context.Context, input *types.CreateTerraformModuleAttestationInput) (*types.TerraformModuleAttestation, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.TerraformModuleAttestation
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateTerraformModuleAttestationInput) (*types.TerraformModuleAttestation, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateTerraformModuleAttestationInput) *types.TerraformModuleAttestation); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.TerraformModuleAttestation)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.CreateTerraformModuleAttestationInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeleteModuleAttestation provides a mock function with given fields: ctx, input
func (_m *TerraformModuleAttestation) DeleteModuleAttestation(ctx context.Context, input *types.DeleteTerraformModuleAttestationInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.DeleteTerraformModuleAttestationInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetModuleAttestations provides a mock function with given fields: ctx, input
func (_m *TerraformModuleAttestation) GetModuleAttestations(ctx context.Context, input *types.GetTerraformModuleAttestationsInput) (*types.GetTerraformModuleAttestationsOutput, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.GetTerraformModuleAttestationsOutput
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetTerraformModuleAttestationsInput) (*types.GetTerraformModuleAttestationsOutput, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetTerraformModuleAttestationsInput) *types.GetTerraformModuleAttestationsOutput); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.GetTerraformModuleAttestationsOutput)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.GetTerraformModuleAttestationsInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdateModuleAttestation provides a mock function with given fields: ctx, input
func (_m *TerraformModuleAttestation) UpdateModuleAttestation(ctx context.Context, input *types.UpdateTerraformModuleAttestationInput) (*types.TerraformModuleAttestation, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.TerraformModuleAttestation
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateTerraformModuleAttestationInput) (*types.TerraformModuleAttestation, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateTerraformModuleAttestationInput) *types.TerraformModuleAttestation); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.TerraformModuleAttestation)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.UpdateTerraformModuleAttestationInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewTerraformModuleAttestation interface {
	mock.TestingT
	Cleanup(func())
}

// NewTerraformModuleAttestation creates a new instance of TerraformModuleAttestation. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewTerraformModuleAttestation(t mockConstructorTestingTNewTerraformModuleAttestation) *TerraformModuleAttestation {
	mock := &TerraformModuleAttestation{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
